<?php

if ($linking_to = $_REQUEST["linking_to"])
{
	if ($pages = $this->LoadPagesLinkingTo($linking_to))
	{
		print("".$this->Link($linking_to)."にリンクしているページ:<br />\n");
		foreach ($pages as $page)
		{
			print($this->Link($page["tag"])."<br />\n");
		}
	}
	else
	{
		print("<em>".$this->Link($linking_to)."にリンクしているページはありません。</em>");
	}
}
else
{
	if ($pages = $this->LoadWantedPages())
	{
		foreach ($pages as $page)
		{
			print($this->Link($page["tag"])." (<a href=\"".$this->href("", "", "linking_to=".$page["tag"])."\">".$page["count"]."</a>)<br />\n");
		}
	}
	else
	{
		print("<em>未作成のページはありません。良好！</em>");
	}
}

?>